Ryzom - Bug # 941

Status: Closed Priority: High

Author: kervala Category: OS: GNU/Linux
Created: 05/26/2010 Assignee: kervala
Updated: 07/28/2010 Due date:

Subject: Dead keys are not working on Linux

Description

Dead keys are keys like "»" when you press """ and "e",

characters they are dead keys or not.

It's specific to non-english keyboards where accents are used :)

it should display "é€" but we got ""e". For the moment, it displays all typed

History

#1 - 05/26/2010 10:44 pm -

kervala

- Status changed from Validated to Assigned

- Assignee set to kervala

#2 - 05/27/2010 10:08 am -

kervala

- % Done changed from 0 to 90

The last thing to do, is to be able to detect all key presses, even for dead keys (because they are filtered).

#3 - 05/27/2010 02:34 pm -

kervala

- Status changed from Assigned to Resolved
- % Done changed from 90 to 100

Applied in changeset r228.

#4 - 05/27/2010 02:39 pm -

kervala

- Target version set to Version 0.8.0

What | did to fix the last problem is :

- When an event is composed by XIM, returned keycode is 0 so we shouldn't send any key event here.

- When an event is filtered, the keycode is set to 0 so we need to save it before and don't retrieve any string (will be processed later).

#5 - 05/28/2010 01:24 am - rti

Works on Mac as well :)

#6 - 05/28/2010 09:09 am -

08/23/2018

kervala




Great :) Thanks for testing :)

#7 - 05/28/2010 05:25 pm - vl
- Status changed from Resolved to Closed

#8 - 07/28/2010 10:15 am - kervala
- Category changed from NeL: General to OS: GNU/Linux
